Skip to main content
GET
/
customers
List all customers
curl --request GET \
  --url https://api.shoppex.io/dev/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "shop_id": "<string>",
      "email": "<string>",
      "name": "<string>",
      "surname": "<string>",
      "phone": "<string>",
      "phone_country_code": "<string>",
      "country_code": "<string>",
      "street_address": "<string>",
      "additional_address_info": "<string>",
      "city": "<string>",
      "postal_code": "<string>",
      "state": "<string>",
      "affiliate_revenue": 123,
      "affiliate_revenue_currency": "<string>",
      "affiliate_revenue_percent": 123,
      "customer_balance": 123,
      "customer_balance_currency": "<string>",
      "created_at": 123
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...

Query Parameters

cursor
string
limit
string

Response

Default Response

data
object[]
required
pagination
object
required